Subject: Re: bug#53619: [PATCH 0/3] gnu: linux-libre: Build the snd-emu10k1 module.
From: Maxim Cournoyer <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Feb 2022 23:51:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

As discussed on IRC the other day, I've tested this configuration on all
kernels via 'make check-system TESTS=basic' on x86_64, and the result
was the same as before the change:

--8<---------------cut here---------------start------------->8---
version: 5.16.2 FAIL kernel module not found "framebuffer_coreboot"

version: 5.15.16 OK

version: 5.10.93 OK

version: 5.4.173 OK

version: 4.19.225 FAIL kernel module not found "framebuffer_coreboot"

version: 4.14.262 FAIL kernel module not found "framebuffer_coreboot"

version: 4.9.297 FAIL kernel module not found "framebuffer_coreboot"

version: 4.4.299 FAIL kernel module not found "framebuffer_coreboot"
--8<---------------cut here---------------end--------------->8---

I was testing the different linux-libre kernels using something like:

--8<---------------cut here---------------start------------->8---
modified   gnu/tests.scm
@@ -26,6 +26,7 @@ (define-module (gnu tests)
   #:use-module ((guix ui) #:select (warn-about-load-error))
   #:use-module (gnu bootloader)
   #:use-module (gnu bootloader grub)
+  #:use-module (gnu packages linux)
   #:use-module (gnu system)
   #:use-module (gnu system file-systems)
   #:use-module (gnu system shadow)
@@ -229,6 +230,7 @@ (define %simple-os
                           (type "ext4"))
                         %base-file-systems))
     (firmware '())
+    (kernel linux-libre-4.14)
 
     (users (cons (user-account
                   (name "alice")
--8<---------------cut here---------------end--------------->8---

The failures are all attributable to #52667.

I pushed the series with 1923ac4034653f86b5442417c4ea2a4603c69114.

Thanks for the review,

Closing.

Maxim